include /home/eliens/hush/version/3.0b4/cfg/install.mk
include /home/eliens/hush/version/3.0b4/cfg/component.mk
			     
SLUSH = /home/eliens/hush/src/distribution/hush-3.0b4	     
DELTA = hush-grammar-3.0b4	     
			     
version = -3.0b4	     
			     
category  = grammar
kind      = component
type      = cc  
index      = -t -notitle  
                               
document = /home/eliens/hush/version/3.0b4/doc/sources/grammar/ml/$(name)
destination = /home/eliens/hush/version/3.0b4/grammar/ml/$(name)
			     
extents      = Makefile makefile mkfile README TODO index  *.t *.txt  *.l *.y *.tcl *.sh  *.pl *.dlp *.tp *.th *.cl *.clips  *.in *.mk  *.py *.mod *.lr *.ami  *.idl *.c *.cc *.cpp *.java *.h *.i  \*.t \*.txt  \*.l \*.y \*.tcl \*.sh  \*.pl \*.dlp \*.tp \*.th \*.cl \*.clips  \*.in \*.mk  \*.py \*.mod \*.lr \*.ami  \*.idl \*.c \*.cc \*.cpp \*.java \*.h \*.i  
			     
config    = component
install   = component
clean     = component  
doc       = component  
slush     = component  
delta     = component  
			     
no-config = false
no-install = false
no-clean = false
no-doc = false
no-slush = false
no-delta = false
			     
no-recursive-config = false
no-recursive-install = false
no-recursive-clean = false
no-recursive-doc = false
no-recursive-slush = true
no-recursive-delta = true
			     
package   = grammar.ml.$(name)
library   = /home/eliens/hush/version/3.0b4/lib/hush/grammar/ml/$(name)
                               
idl       = $(name)  
                               
depth     = ../../
			     
location  = grammar/ml/$(name)/
prefix    = grammar-ml-$(name)-
level    = ../../../../
			     
source    = grammar/ml/$(name)
S         = /export/home/eliens/hush/src/api-3.0b4/grammar/ml/$(name)
			     
category = ml

FILES = *.h

config = cc
install = cc targets

targets = flt

depth = ../

CFLAGS += -g -DJAVA  

INCLUDE = $(category)/$(name)

all: config install

WARNINGS =  # no Wall

DYNFLAGS = -L$(HUSH) -lhush -lw -lm -ll -lm -ldl -lsocket -lnsl
DYNFLAGS = -L$(HUSH) -lhush -lw -lm -lm -ldl -lsocket -lnsl
LDFLAGS  = -L$(HUSH)/lib -lhush -lml$(name)

LOCAL = ../..

.c.flt:
	$(CC) $(CFLAGS) -o $*.flt $*.c $(LDFLAGS) 
	touch $*.sh
	cp $*.flt $*.sh $(HUSH)/bin 

target-flt:
	$(MAKE) $(name).flt

LIB=lib$(category)$(name)
