SRC =

.SUFFIXES: .flt

include ../cfg.mk

WARNINGS =  # no Wall

DYNFLAGS = -L$(HUSH) -lhush -lw -lm -ll -lm -ldl -lsocket -lnsl
DYNFLAGS = -L$(HUSH) -lhush -lw -lm -lm -ldl -lsocket -lnsl
LDFLAGS  = -L. -L$(HUSH) -lhush -lml$(NAME)

LOCAL = ../..

CATEGORY = ml

DOCUMENT = $(SOURCES)/$(CATEGORY)/$(NAME)
INCLUDE =  $(CATEGORY)/$(NAME)

LOCATION = grammar/ml

SRC = $(HUSHSRC)/$(LOCATION)/$(NAME)
COLLECT = ../share/$(CATEGORY)-$(NAME).mk

S = $(SRC)

GARBAGE = @y.* *.l.c *.y.c *.tab.* y.error* y.output *.flt *.error.c *.tokens.h

FILES = *.h

all: config install targets

redo: clean all

.c.flt:
	$(CC) $(CFLAGS) -o $*.flt $*.c $(LDFLAGS) 
	touch $*.sh
	cp $*.flt $*.sh $(HUSH)/bin 

flt: $(NAME).flt

NAME=xxx
LIB=lib$(NAME)

CFLAGS += -g  

