include resource.mk

NAME = abc
LIB = libml$(NAME)

include ml.mk

OBJECTS= $(ml)

xall: lib
	$(CC) $(CFLAGS) -o test.flt main.c -lml $(LDFLAGS) -ll

test: xall
	test.flt < t1

xclean:
	rm -f alex.c blex.c ayacc.c byacc.c *.l.c *.y.c
	rm -f @* *.bak yy.lex.c *.tab.* *.output
	rm -f core *.o *.flt @tmp*
	rm -f -r ptrepository

include lib.mk
# DO NOT DELETE THIS LINE -- make depend depends on it.

@alex.l.o: /usr/include/stdio.h /usr/include/sys/feature_tests.h
@alex.l.o: /usr/include/sys/va_list.h
@alex.l.o: /opt/gcc-2.7.2/lib/g++-include/iostream.h
@alex.l.o: /opt/gcc-2.7.2/lib/g++-include/streambuf.h
@alex.l.o: /opt/gcc-2.7.2/lib/g++-include/libio.h
@alex.l.o: /opt/gcc-2.7.2/lib/g++-include/_G_config.h ayacc.tab.h alex.h
@alex.l.o: ../grammar/scanner.h ../grammar/string.h
@alex.l.o: /home/eliens/hush/version/3.0b3/include/hush/sys/strstream.h
@alex.l.o: /home/eliens/hush/version/3.0b3/include/hush/sys/strstream.h
@alex.l.o: /home/eliens/hush/version/3.0b3/include/hush/term.h
@alex.l.o: /home/eliens/hush/version/3.0b3/include/hush/util/term.h
@alex.l.o: /home/eliens/hush/version/3.0b3/include/hush/export.h
@alex.l.o: /home/eliens/hush/version/3.0b3/include/hush/flags.h
@alex.l.o: /home/eliens/hush/version/3.0b3/include/hush/sys/dll.h
@alex.l.o: /home/eliens/hush/version/3.0b3/include/hush/iter.h
@alex.l.o: /home/eliens/hush/version/3.0b3/include/hush/util/iter.h
@alex.l.o: ../grammar/token.h
@blex.l.o: /usr/include/stdio.h /usr/include/sys/feature_tests.h
@blex.l.o: /usr/include/sys/va_list.h
@blex.l.o: /opt/gcc-2.7.2/lib/g++-include/iostream.h
@blex.l.o: /opt/gcc-2.7.2/lib/g++-include/streambuf.h
@blex.l.o: /opt/gcc-2.7.2/lib/g++-include/libio.h
@blex.l.o: /opt/gcc-2.7.2/lib/g++-include/_G_config.h byacc.tab.h blex.h
@blex.l.o: ../grammar/scanner.h ../grammar/string.h
@blex.l.o: /home/eliens/hush/version/3.0b3/include/hush/sys/strstream.h
@blex.l.o: /home/eliens/hush/version/3.0b3/include/hush/sys/strstream.h
@blex.l.o: /home/eliens/hush/version/3.0b3/include/hush/term.h
@blex.l.o: /home/eliens/hush/version/3.0b3/include/hush/util/term.h
@blex.l.o: /home/eliens/hush/version/3.0b3/include/hush/export.h
@blex.l.o: /home/eliens/hush/version/3.0b3/include/hush/flags.h
@blex.l.o: /home/eliens/hush/version/3.0b3/include/hush/sys/dll.h
@blex.l.o: /home/eliens/hush/version/3.0b3/include/hush/iter.h
@blex.l.o: /home/eliens/hush/version/3.0b3/include/hush/util/iter.h
@blex.l.o: ../grammar/token.h
@lex.yy.o: /usr/include/stdio.h /usr/include/sys/feature_tests.h
@lex.yy.o: /usr/include/sys/va_list.h
@lex.yy.o: /opt/gcc-2.7.2/lib/g++-include/iostream.h
@lex.yy.o: /opt/gcc-2.7.2/lib/g++-include/streambuf.h
@lex.yy.o: /opt/gcc-2.7.2/lib/g++-include/libio.h
@lex.yy.o: /opt/gcc-2.7.2/lib/g++-include/_G_config.h byacc.tab.h blex.h
@lex.yy.o: ../grammar/scanner.h ../grammar/string.h
@lex.yy.o: /home/eliens/hush/version/3.0b3/include/hush/sys/strstream.h
@lex.yy.o: /home/eliens/hush/version/3.0b3/include/hush/sys/strstream.h
@lex.yy.o: /home/eliens/hush/version/3.0b3/include/hush/term.h
@lex.yy.o: /home/eliens/hush/version/3.0b3/include/hush/util/term.h
@lex.yy.o: /home/eliens/hush/version/3.0b3/include/hush/export.h
@lex.yy.o: /home/eliens/hush/version/3.0b3/include/hush/flags.h
@lex.yy.o: /home/eliens/hush/version/3.0b3/include/hush/sys/dll.h
@lex.yy.o: /home/eliens/hush/version/3.0b3/include/hush/iter.h
@lex.yy.o: /home/eliens/hush/version/3.0b3/include/hush/util/iter.h
@lex.yy.o: ../grammar/token.h
alex.l.o: /usr/include/stdio.h /usr/include/sys/feature_tests.h
alex.l.o: /usr/include/sys/va_list.h
alex.l.o: /opt/gcc-2.7.2/lib/g++-include/iostream.h
alex.l.o: /opt/gcc-2.7.2/lib/g++-include/streambuf.h
alex.l.o: /opt/gcc-2.7.2/lib/g++-include/libio.h
alex.l.o: /opt/gcc-2.7.2/lib/g++-include/_G_config.h ayacc.tab.h alex.h
alex.l.o: ../grammar/scanner.h ../grammar/string.h
alex.l.o: /home/eliens/hush/version/3.0b3/include/hush/sys/strstream.h
alex.l.o: /home/eliens/hush/version/3.0b3/include/hush/sys/strstream.h
alex.l.o: /home/eliens/hush/version/3.0b3/include/hush/term.h
alex.l.o: /home/eliens/hush/version/3.0b3/include/hush/util/term.h
alex.l.o: /home/eliens/hush/version/3.0b3/include/hush/export.h
alex.l.o: /home/eliens/hush/version/3.0b3/include/hush/flags.h
alex.l.o: /home/eliens/hush/version/3.0b3/include/hush/sys/dll.h
alex.l.o: /home/eliens/hush/version/3.0b3/include/hush/iter.h
alex.l.o: /home/eliens/hush/version/3.0b3/include/hush/util/iter.h
alex.l.o: ../grammar/token.h
ayacc.tab.o: ayacc.h ../grammar/parser.h
ayacc.tab.o: /home/eliens/hush/version/3.0b3/include/hush/term.h
ayacc.tab.o: /home/eliens/hush/version/3.0b3/include/hush/util/term.h
ayacc.tab.o: /home/eliens/hush/version/3.0b3/include/hush/export.h
ayacc.tab.o: /home/eliens/hush/version/3.0b3/include/hush/flags.h
ayacc.tab.o: /home/eliens/hush/version/3.0b3/include/hush/sys/dll.h
ayacc.tab.o: /home/eliens/hush/version/3.0b3/include/hush/iter.h
ayacc.tab.o: /home/eliens/hush/version/3.0b3/include/hush/util/iter.h
ayacc.tab.o: ../grammar/token.h /opt/gcc-2.7.2/lib/g++-include/iostream.h
ayacc.tab.o: /opt/gcc-2.7.2/lib/g++-include/streambuf.h
ayacc.tab.o: /opt/gcc-2.7.2/lib/g++-include/libio.h
ayacc.tab.o: /opt/gcc-2.7.2/lib/g++-include/_G_config.h ../grammar/string.h
ayacc.tab.o: /usr/include/stdio.h /usr/include/sys/feature_tests.h
ayacc.tab.o: /usr/include/sys/va_list.h /usr/include/malloc.h
ayacc.tab.o: /usr/include/memory.h /usr/include/values.h
ayacc.y.o: ayacc.h ../grammar/parser.h
ayacc.y.o: /home/eliens/hush/version/3.0b3/include/hush/term.h
ayacc.y.o: /home/eliens/hush/version/3.0b3/include/hush/util/term.h
ayacc.y.o: /home/eliens/hush/version/3.0b3/include/hush/export.h
ayacc.y.o: /home/eliens/hush/version/3.0b3/include/hush/flags.h
ayacc.y.o: /home/eliens/hush/version/3.0b3/include/hush/sys/dll.h
ayacc.y.o: /home/eliens/hush/version/3.0b3/include/hush/iter.h
ayacc.y.o: /home/eliens/hush/version/3.0b3/include/hush/util/iter.h
ayacc.y.o: ../grammar/token.h /opt/gcc-2.7.2/lib/g++-include/iostream.h
ayacc.y.o: /opt/gcc-2.7.2/lib/g++-include/streambuf.h
ayacc.y.o: /opt/gcc-2.7.2/lib/g++-include/libio.h
ayacc.y.o: /opt/gcc-2.7.2/lib/g++-include/_G_config.h ../grammar/string.h
ayacc.y.o: /usr/include/stdio.h /usr/include/sys/feature_tests.h
ayacc.y.o: /usr/include/sys/va_list.h /usr/include/malloc.h
ayacc.y.o: /usr/include/memory.h /usr/include/values.h
blex.l.o: /usr/include/stdio.h /usr/include/sys/feature_tests.h
blex.l.o: /usr/include/sys/va_list.h
blex.l.o: /opt/gcc-2.7.2/lib/g++-include/iostream.h
blex.l.o: /opt/gcc-2.7.2/lib/g++-include/streambuf.h
blex.l.o: /opt/gcc-2.7.2/lib/g++-include/libio.h
blex.l.o: /opt/gcc-2.7.2/lib/g++-include/_G_config.h byacc.tab.h blex.h
blex.l.o: ../grammar/scanner.h ../grammar/string.h
blex.l.o: /home/eliens/hush/version/3.0b3/include/hush/sys/strstream.h
blex.l.o: /home/eliens/hush/version/3.0b3/include/hush/sys/strstream.h
blex.l.o: /home/eliens/hush/version/3.0b3/include/hush/term.h
blex.l.o: /home/eliens/hush/version/3.0b3/include/hush/util/term.h
blex.l.o: /home/eliens/hush/version/3.0b3/include/hush/export.h
blex.l.o: /home/eliens/hush/version/3.0b3/include/hush/flags.h
blex.l.o: /home/eliens/hush/version/3.0b3/include/hush/sys/dll.h
blex.l.o: /home/eliens/hush/version/3.0b3/include/hush/iter.h
blex.l.o: /home/eliens/hush/version/3.0b3/include/hush/util/iter.h
blex.l.o: ../grammar/token.h
byacc.tab.o: byacc.h ../grammar/parser.h
byacc.tab.o: /home/eliens/hush/version/3.0b3/include/hush/term.h
byacc.tab.o: /home/eliens/hush/version/3.0b3/include/hush/util/term.h
byacc.tab.o: /home/eliens/hush/version/3.0b3/include/hush/export.h
byacc.tab.o: /home/eliens/hush/version/3.0b3/include/hush/flags.h
byacc.tab.o: /home/eliens/hush/version/3.0b3/include/hush/sys/dll.h
byacc.tab.o: /home/eliens/hush/version/3.0b3/include/hush/iter.h
byacc.tab.o: /home/eliens/hush/version/3.0b3/include/hush/util/iter.h
byacc.tab.o: ../grammar/token.h /opt/gcc-2.7.2/lib/g++-include/iostream.h
byacc.tab.o: /opt/gcc-2.7.2/lib/g++-include/streambuf.h
byacc.tab.o: /opt/gcc-2.7.2/lib/g++-include/libio.h
byacc.tab.o: /opt/gcc-2.7.2/lib/g++-include/_G_config.h ../grammar/string.h
byacc.tab.o: /usr/include/stdio.h /usr/include/sys/feature_tests.h
byacc.tab.o: /usr/include/sys/va_list.h /usr/include/malloc.h
byacc.tab.o: /usr/include/memory.h /usr/include/values.h
byacc.y.o: byacc.h ../grammar/parser.h
byacc.y.o: /home/eliens/hush/version/3.0b3/include/hush/term.h
byacc.y.o: /home/eliens/hush/version/3.0b3/include/hush/util/term.h
byacc.y.o: /home/eliens/hush/version/3.0b3/include/hush/export.h
byacc.y.o: /home/eliens/hush/version/3.0b3/include/hush/flags.h
byacc.y.o: /home/eliens/hush/version/3.0b3/include/hush/sys/dll.h
byacc.y.o: /home/eliens/hush/version/3.0b3/include/hush/iter.h
byacc.y.o: /home/eliens/hush/version/3.0b3/include/hush/util/iter.h
byacc.y.o: ../grammar/token.h /opt/gcc-2.7.2/lib/g++-include/iostream.h
byacc.y.o: /opt/gcc-2.7.2/lib/g++-include/streambuf.h
byacc.y.o: /opt/gcc-2.7.2/lib/g++-include/libio.h
byacc.y.o: /opt/gcc-2.7.2/lib/g++-include/_G_config.h ../grammar/string.h
byacc.y.o: /usr/include/stdio.h /usr/include/sys/feature_tests.h
byacc.y.o: /usr/include/sys/va_list.h /usr/include/malloc.h
byacc.y.o: /usr/include/memory.h /usr/include/values.h
main.o: alex.h ../grammar/scanner.h /usr/include/stdio.h
main.o: /usr/include/sys/feature_tests.h /usr/include/sys/va_list.h
main.o: ../grammar/string.h /opt/gcc-2.7.2/lib/g++-include/iostream.h
main.o: /opt/gcc-2.7.2/lib/g++-include/streambuf.h
main.o: /opt/gcc-2.7.2/lib/g++-include/libio.h
main.o: /opt/gcc-2.7.2/lib/g++-include/_G_config.h
main.o: /home/eliens/hush/version/3.0b3/include/hush/sys/strstream.h
main.o: /home/eliens/hush/version/3.0b3/include/hush/sys/strstream.h
main.o: /home/eliens/hush/version/3.0b3/include/hush/term.h
main.o: /home/eliens/hush/version/3.0b3/include/hush/util/term.h
main.o: /home/eliens/hush/version/3.0b3/include/hush/export.h
main.o: /home/eliens/hush/version/3.0b3/include/hush/flags.h
main.o: /home/eliens/hush/version/3.0b3/include/hush/sys/dll.h
main.o: /home/eliens/hush/version/3.0b3/include/hush/iter.h
main.o: /home/eliens/hush/version/3.0b3/include/hush/util/iter.h
main.o: ../grammar/token.h ayacc.h ../grammar/parser.h blex.h byacc.h
y.tab.o: byacc.h ../grammar/parser.h
y.tab.o: /home/eliens/hush/version/3.0b3/include/hush/term.h
y.tab.o: /home/eliens/hush/version/3.0b3/include/hush/util/term.h
y.tab.o: /home/eliens/hush/version/3.0b3/include/hush/export.h
y.tab.o: /home/eliens/hush/version/3.0b3/include/hush/flags.h
y.tab.o: /home/eliens/hush/version/3.0b3/include/hush/sys/dll.h
y.tab.o: /home/eliens/hush/version/3.0b3/include/hush/iter.h
y.tab.o: /home/eliens/hush/version/3.0b3/include/hush/util/iter.h
y.tab.o: ../grammar/token.h /opt/gcc-2.7.2/lib/g++-include/iostream.h
y.tab.o: /opt/gcc-2.7.2/lib/g++-include/streambuf.h
y.tab.o: /opt/gcc-2.7.2/lib/g++-include/libio.h
y.tab.o: /opt/gcc-2.7.2/lib/g++-include/_G_config.h ../grammar/string.h
y.tab.o: /usr/include/stdio.h /usr/include/sys/feature_tests.h
y.tab.o: /usr/include/sys/va_list.h /usr/include/malloc.h
y.tab.o: /usr/include/memory.h /usr/include/values.h
yacc.o: ../grammar/yacc.h ../grammar/parser.h
yacc.o: /home/eliens/hush/version/3.0b3/include/hush/term.h
yacc.o: /home/eliens/hush/version/3.0b3/include/hush/util/term.h
yacc.o: /home/eliens/hush/version/3.0b3/include/hush/export.h
yacc.o: /home/eliens/hush/version/3.0b3/include/hush/flags.h
yacc.o: /home/eliens/hush/version/3.0b3/include/hush/sys/dll.h
yacc.o: /home/eliens/hush/version/3.0b3/include/hush/iter.h
yacc.o: /home/eliens/hush/version/3.0b3/include/hush/util/iter.h
yacc.o: ../grammar/token.h /opt/gcc-2.7.2/lib/g++-include/iostream.h
yacc.o: /opt/gcc-2.7.2/lib/g++-include/streambuf.h
yacc.o: /opt/gcc-2.7.2/lib/g++-include/libio.h
yacc.o: /opt/gcc-2.7.2/lib/g++-include/_G_config.h ../grammar/string.h
yacc.o: /usr/include/stdio.h /usr/include/sys/feature_tests.h
yacc.o: /usr/include/sys/va_list.h
